Which is the correct master source?

Asked by Russel Winder on 2013-04-20

Me-Tv appears to have an old Subversion repository on GoogleCode, the Bazaar branches on Launchpad, and reference to a non-existent Git repository on GitHub.

Is this code being developed/maintained? If so which is the correct "master" version of the code?

Question information

Language:
English Edit question
Status:
Solved
For:
Me TV Edit question
Assignee:
No assignee Edit question
Solved by:
Frédéric Côté
Solved:
Last query:
Last reply:
Revision history for this message
Best Frédéric Côté (frederic-cote) said :
#1

Hi Russel,

The bazaar branches on Launchpad is the latest (1.4 branch). The
development on me-tv is stalling because we lack a developer. I try to
maintain it the best I can by fixing major bug and helping others to get it
working.

Cheers,
Fred

On Sat, Apr 20, 2013 at 1:56 AM, Russel Winder <
<email address hidden>> wrote:

> New question #227102 on Me TV:
> https://answers.launchpad.net/me-tv/+question/227102
>
> Me-Tv appears to have an old Subversion repository on GoogleCode, the
> Bazaar branches on Launchpad, and reference to a non-existent Git
> repository on GitHub.
>
> Is this code being developed/maintained? If so which is the correct
> "master" version of the code?
>
> --
> You received this question notification because you are an answer
> contact for Me TV.
>

--
"In a world without walls, who really needs Windows"
"Nothing is foolproof because fools are so ingenious"

Revision history for this message
Russel Winder (russel) said :
#2

Debian Unstable currently has 1.3.7 which works fine, but it would be good to get 1.4.0 in. It is too late for Wheezy, but once the release is made and the freeze over it would be good to get an upgrade.

Fedora used to have me-tv but it seems it has now been dropped, is it known why?

Revision history for this message
Russel Winder (russel) said :
#3

Thanks Frédéric Côté, that solved my question.

Revision history for this message
Russel Winder (russel) said :
#4

I have just emailed the Debian maintainers of the me-tv package to ask why they haven't upgraded from 1.3.7 to 1.4.0.

I still have no idea why Fedora dropped me-tv, but it is almost certainly possible to get it into RPM Fusion if that is seen as worthwhile.

Has the 2.0 branch been abandoned?

I am guessing that the code first and foremost needs updating to C++11.

Is the code still using GTK+2 or has it been updated to GTK+3?

Revision history for this message
Frédéric Côté (frederic-cote) said :
#5

Hi Russel,

Me-tv is not maintain anymore and distros have removed it from official
repo because of recurrent unfixed bugs. Me-tv should be rewrite almost from
scratch and some decision should be made regarding architecture (GTK/QT,
Client/Server usefull ?, VLC/GStreamer/SomethingElse).

The branch 2.0 was the beta of branch 1.4 (I know, it is weird and totally
my fault).

I'm pretty sure it is still GTK+2.

Cheers,
Frederic

--
"In a world without walls, who really needs Windows"
"Nothing is foolproof because fools are so ingenious"